import type { Bot } from "../../bot.js";
export declare type DiscoveryMetadata = {
    guildId: bigint;
    primaryCategoryId: number;
    keywords?: string[];
    emojiDiscoverabilityEnabled: boolean;
    partnerActionedTimestamp?: number;
    partnerApplicationTimestamp?: number;
    categoryIds: number[];
};
/**
 * Gets the discovery settings of a guild.
 *
 * @param bot - The bot instance to use to make the request.
 * @param guildId - The ID of the guild to get the discovery settings of.
 *
 * @privateRemarks
 * This endpoint is not formally documented.
 */
export declare function getDiscovery(bot: Bot, guildId: bigint): Promise<DiscoveryMetadata>;
